Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class CoreStylesheetDescription

    java.lang.Object
      org.jasig.portal.CoreStylesheetDescription

Direct Known Subclasses:
  CoreXSLTStylesheetDescription

    public class CoreStylesheetDescription

extends java.lang.Object

CoreStyleSheetDescription contains properties common to all core stylesheets. This includes structure, theme and style transformation stylesheets.

Version:
  $Revision: 1.10 $
Author:
  Peter Kharchenko

Nested Class Summary
`protected class` | `CoreStylesheetDescription.DescriptionDefaultValuePair`

Field Summary
`(package private) java.util.Hashtable` | `parameterTable`
`protected java.lang.String` | `stylesheetDescriptionURI`
`protected int` | `stylesheetId`
`protected java.lang.String` | `stylesheetName`
`protected java.lang.String` | `stylesheetURI`
`protected java.lang.String` | `stylesheetWordDescription`

Constructor Summary
`CoreStylesheetDescription()`

Method Summary
`void` | `addStylesheetParameter(java.lang.String name, java.lang.String defaultValue, java.lang.String wordDescription)`
`boolean` | `containsParameterName(java.lang.String parameterName)`
`int` | `getId()`
`java.lang.String` | `getStylesheetDescriptionURI()`
`java.lang.String` | `getStylesheetName()`
`java.lang.String` | `getStylesheetParameterDefaultValue(java.lang.String parameterName)`
`java.util.Enumeration` | `getStylesheetParameterNames()`
`java.lang.String` | `getStylesheetParameterWordDescription(java.lang.String parameterName)`
`java.lang.String` | `getStylesheetURI()`
`java.lang.String` | `getStylesheetWordDescription()`
`void` | `setId(int id)`
`void` | `setStylesheetDescriptionURI(java.lang.String uri)`
`void` | `setStylesheetName(java.lang.String name)`
`void` | `setStylesheetParameterDefaultValue(java.lang.String parameterName, java.lang.String defaultValue)`
`void` | `setStylesheetParameterWordDescription(java.lang.String parameterName, java.lang.String wordDescription)`
`void` | `setStylesheetURI(java.lang.String uri)`
`void` | `setStylesheetWordDescription(java.lang.String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stylesheetId

    protected int stylesheetId

### stylesheetName

    protected java.lang.String stylesheetName

### stylesheetWordDescription

    protected java.lang.String stylesheetWordDescription

### stylesheetURI

    protected java.lang.String stylesheetURI

### stylesheetDescriptionURI

    protected java.lang.String stylesheetDescriptionURI

### parameterTable

    java.util.Hashtable parameterTable

Constructor Detail

### CoreStylesheetDescription

    public CoreStylesheetDescription()

Method Detail

### getId

    public int getId()

### setId

    public void setId(int id)

### getStylesheetName

    public java.lang.String getStylesheetName()

### setStylesheetName

    public void setStylesheetName(java.lang.String name)

### getStylesheetURI

    public java.lang.String getStylesheetURI()

### setStylesheetURI

    public void setStylesheetURI(java.lang.String uri)

### getStylesheetDescriptionURI

    public java.lang.String getStylesheetDescriptionURI()

### setStylesheetDescriptionURI

    public void setStylesheetDescriptionURI(java.lang.String uri)

### getStylesheetWordDescription

    public java.lang.String getStylesheetWordDescription()

### setStylesheetWordDescription

    public void setStylesheetWordDescription(java.lang.String description)

### getStylesheetParameterNames

    public java.util.Enumeration getStylesheetParameterNames()

### getStylesheetParameterWordDescription

    public java.lang.String getStylesheetParameterWordDescription(java.lang.String parameterName)

### getStylesheetParameterDefaultValue

    public java.lang.String getStylesheetParameterDefaultValue(java.lang.String parameterName)

### containsParameterName

    public boolean containsParameterName(java.lang.String parameterName)

### addStylesheetParameter

    public void addStylesheetParameter(java.lang.String name,
                                       java.lang.String defaultValue,
                                       java.lang.String wordDescription)

### setStylesheetParameterDefaultValue

    public void setStylesheetParameterDefaultValue(java.lang.String parameterName,
                                                   java.lang.String defaultValue)

### setStylesheetParameterWordDescription

    public void setStylesheetParameterWordDescription(java.lang.String parameterName,
                                                      java.lang.String wordDescription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD